This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 450709 - xorg-x11-fonts-Type1 doesn't update cache files on upgrade
xorg-x11-fonts-Type1 doesn't update cache files on upgrade
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-fonts (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
: i18n
: 444377 457021 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-10 11:36 EDT by Bob T.
Modified: 2009-06-23 20:40 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-23 20:40:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bob T. 2008-06-10 11:36:09 EDT
Description of problem:

When I start up fontforge, I get the following error message:

 Help! Server claimed font
        -ibm-courier-medium-r-normal--26-0-0-0-m-0-iso10646-1
 existed in the font list, but when I asked for it there was nothing.
 I may crash soon.
 Segmentation fault

I've never see this behavior before.

Version-Release number of selected component (if applicable): 20080309-1.fc9


How reproducible:
every time, on three different F9 systems

Steps to Reproduce:
1.start fontforge
2.
3.
  
Actual results: as above


Expected results: fontforge opens

Additional info:

% xlsfonts | grep "ibm-courier"
-ibm-courier-bold-i-normal--0-0-0-0-m-0-adobe-standard
-ibm-courier-bold-i-normal--0-0-0-0-m-0-ascii-0
-ibm-courier-bold-i-normal--0-0-0-0-m-0-iso10646-1
-ibm-courier-bold-i-normal--0-0-0-0-m-0-iso8859-1
-ibm-courier-bold-i-normal--0-0-0-0-m-0-iso8859-3
-ibm-courier-bold-i-normal--0-0-0-0-m-0-iso8859-9
-ibm-courier-bold-r-normal--0-0-0-0-m-0-adobe-standard
-ibm-courier-bold-r-normal--0-0-0-0-m-0-ascii-0
-ibm-courier-bold-r-normal--0-0-0-0-m-0-iso10646-1
-ibm-courier-bold-r-normal--0-0-0-0-m-0-iso8859-1
-ibm-courier-bold-r-normal--0-0-0-0-m-0-iso8859-3
-ibm-courier-bold-r-normal--0-0-0-0-m-0-iso8859-9
-ibm-courier-medium-i-normal--0-0-0-0-m-0-adobe-standard
-ibm-courier-medium-i-normal--0-0-0-0-m-0-ascii-0
-ibm-courier-medium-i-normal--0-0-0-0-m-0-iso10646-1
-ibm-courier-medium-i-normal--0-0-0-0-m-0-iso8859-1
-ibm-courier-medium-i-normal--0-0-0-0-m-0-iso8859-3
-ibm-courier-medium-i-normal--0-0-0-0-m-0-iso8859-9
-ibm-courier-medium-r-normal--0-0-0-0-m-0-adobe-standard
-ibm-courier-medium-r-normal--0-0-0-0-m-0-ascii-0
-ibm-courier-medium-r-normal--0-0-0-0-m-0-iso10646-1
-ibm-courier-medium-r-normal--0-0-0-0-m-0-iso8859-1
-ibm-courier-medium-r-normal--0-0-0-0-m-0-iso8859-3
-ibm-courier-medium-r-normal--0-0-0-0-m-0-iso8859-9


% fc-list "Courier 10 Pitch"
Courier 10 Pitch:style=Bold Italic
Courier 10 Pitch:style=Italic
Courier 10 Pitch:style=Regular
Courier 10 Pitch:style=Bold
Comment 1 Kevin Fenzi 2008-06-10 12:29:31 EDT
What font packages do you have installed?

output of 'rpm -qa | grep fonts | sort' ?
Comment 2 Bob T. 2008-06-10 12:43:50 EDT
> What font packages do you have installed?



% rpm -qa | grep fonts | sort
bitmap-fonts-0.3-5.2.fc9.noarch
bitstream-vera-fonts-1.10-8.noarch
dejavu-fonts-2.24-3.fc9.noarch
dejavu-fonts-experimental-2.24-3.fc9.noarch
gentium-fonts-1.02-5.fc7.noarch
ghostscript-fonts-5.50-18.fc8.noarch
java-1.5.0-sun-fonts-1.5.0.09-1jpp.i586
jmk-x11-fonts-3.0-1.i386
liberation-fonts-1.0-4.fc9.noarch
lohit-fonts-punjabi-2.2.1-2.fc9.noarch
lohit-fonts-telugu-2.2.1-2.fc9.noarch
mathml-fonts-1.0-21.fc6.noarch
mplayer-fonts-1.0-7.at.noarch
msttcorefonts-1.3-4.noarch
texlive-texmf-errata-fonts-2007-4.fc9.noarch
texlive-texmf-fonts-2007-22.fc9.noarch
ttfonts-1.0-9.noarch
urw-fonts-2.4-5.fc9.noarch
xorg-x11-fonts-100dpi-7.2-6.fc9.noarch
xorg-x11-fonts-75dpi-7.2-6.fc9.noarch
xorg-x11-fonts-ISO8859-1-100dpi-7.2-6.fc9.noarch
xorg-x11-fonts-ISO8859-1-75dpi-7.2-6.fc9.noarch
xorg-x11-fonts-misc-7.2-6.fc9.noarch
xorg-x11-fonts-Type1-7.2-6.fc9.noarch
Comment 3 Bob T. 2008-06-10 14:50:57 EDT
The problem seems to have been fonts.{scale,dir} files that weren't upgraded
when I upgraded from f8 to f9.  After doing 

fc-cache /usr/share/X11/fonts/Type1


fontforge starts up okay. Should the bug report be transferred to
xorg-x11-fonts-Type1?
Comment 4 Kevin Fenzi 2008-06-10 15:13:17 EDT
Yeah, I would think so. It should regenerate it's caches on upgrade... 
Would you like me to reassign it? 
Comment 5 Bob T. 2008-06-10 15:57:32 EDT
Please do.  I've confirmed on another system that the fonts.{scale,dir} files
are not updated when xorg-x11-fonts-Type1 is upgraded from 7.2-3.fc8 to 7.2-6.fc9.
Comment 6 Kevin Fenzi 2008-06-10 16:02:04 EDT
Re-assigning. Thanks again for reporting this!
Comment 7 Nicolas Mailhot 2008-06-21 09:15:53 EDT
*** Bug 444377 has been marked as a duplicate of this bug. ***
Comment 8 Kevin Fenzi 2008-07-29 18:12:43 EDT
*** Bug 457021 has been marked as a duplicate of this bug. ***
Comment 9 Tony Fu 2008-09-09 23:15:15 EDT
requested by Jens Petersen (#27995)
Comment 10 Kevin Fenzi 2008-10-10 01:11:15 EDT
*** Bug 466404 has been marked as a duplicate of this bug. ***
Comment 11 Kevin Fenzi 2008-12-02 01:37:46 EST
*** Bug 466404 has been marked as a duplicate of this bug. ***
Comment 12 Jens Petersen 2009-01-05 21:44:04 EST
Ping?
Comment 13 Hans Ulrich Niedermann 2009-01-17 15:55:03 EST
(In reply to comment #3)
> The problem seems to have been fonts.{scale,dir} files that weren't upgraded
> when I upgraded from f8 to f9.  After doing 
> 
> fc-cache /usr/share/X11/fonts/Type1

This does not help on my system.

F9 (upgraded from F8),

xorg-x11-fonts-Type1-7.2-6.fc9.noarch
fontconfig-2.5.0-2.fc9.i386

fc-cache does not touch fonts.{scale,dir}, apparently.
Comment 14 Nicolas Mailhot 2009-01-17 16:03:42 EST
fontconfig does not use fonts.{scale,dir}. They're only needed by the old brittle legacy deprecated X11 core font systems
Comment 15 Hans Ulrich Niedermann 2009-01-18 10:39:24 EST
Unfortunately, this "old brittle legacy etc." font system prevents, of all things, "fontforge" from launching.

Is there any way to get "fontforge" to run? (The fontforge bug has been marked a duplicate of this one.)
Comment 16 Nicolas Mailhot 2009-01-18 13:42:35 EST
You can always try the rawhide fontforge version, it's supposed to use cairo and other modern stuff now
Comment 17 Jens Petersen 2009-01-21 19:59:38 EST
I wonder if comment 7 is not due to the removal of ibm-type1 fonts from fedora?

* Mon Jan 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 7.2-6
- IBM refused to relicense ibm-type1 fonts with permission to modify,
  so they were dropped (bugzilla 317641)

Maybe fontforge needs to be patched to use another font, or that already fixed?
(Runs for me anyway with F10 and rawhide.)
Comment 18 Dwayne Bailey 2009-02-11 11:08:18 EST
Bad news from me.  I had this problem, removed all the X11 fonts and things worked.  A then added a number of cool fonts and bang its broken again with this error:

Help! Server claimed font
	-misc-ar pl uming tw-light-r-normal--16-0-0-0-c-0-iso10646-1
 existed in the font list, but when I asked for it there was nothing.

I ran fc-cache against each directory separately but this changed nothing.  How the H^ll do I know which font is breaking this.
Comment 19 Dwayne Bailey 2009-02-11 11:26:10 EST
Just remember I did a 'yum groupupdate Fonts' to make sure my default fonts included all standard installs.  Things broke at some stage after that.

But I've tracked this down, if I do:

yum remove cjkunifonts-uming

fontforge now works

yum groupupdate Fonts

This will reinstall cjkunifonts-uming and things break.  So the default fonts installed are causing the fontforge breakage and specifically cjkunifonts-uming.
Comment 20 Matěj Cepl 2009-02-11 18:41:13 EST
I have to ask “wrong question” — are you able to reproduce it with Fedora 10?
Comment 21 Jens Petersen 2009-02-13 04:06:56 EST
(In reply to comment #19)
> yum remove cjkunifonts-uming
> fontforge now works
> yum groupupdate Fonts
> This will reinstall cjkunifonts-uming and things break.  So the default fonts
> installed are causing the fontforge breakage and specifically
> cjkunifonts-uming.

Dwayne, could you please file a separate bug against cjkunifonts (or cjkuni-fonts if it is rawhide) - this sounds unrelated to this bug.
Comment 22 Dwayne Bailey 2009-02-13 12:33:29 EST
(In reply to comment #21)
> (In reply to comment #19)
> > yum remove cjkunifonts-uming
> > fontforge now works
> > yum groupupdate Fonts
> > This will reinstall cjkunifonts-uming and things break.  So the default fonts
> > installed are causing the fontforge breakage and specifically
> > cjkunifonts-uming.
> 
> Dwayne, could you please file a separate bug against cjkunifonts (or
> cjkuni-fonts if it is rawhide) - this sounds unrelated to this bug.

Its related in that it does the same thing, but on a different font.  See bug 485472 for a report against cjkunifonts.
Comment 23 Nils Philippsen 2009-02-19 05:12:20 EST
I could reproduce this on F-10.

More infos about this can be found in the comments of bug #466404:

> Whenever fontforge crashes,  /var/log/Xorg.0.log updates
> $ cat /var/log/Xorg.0.log
> [...]
> FreeType: couldn't open face /usr/share/X11/fonts/Type1/cour.pfa: 1
> FreeType: couldn't open face /usr/share/X11/fonts/Type1/cour.pfa: 1
> FreeType: couldn't open face /usr/share/X11/fonts/Type1/cour.pfa: 1
> FreeType: couldn't open face /usr/share/X11/fonts/Type1/cour.pfa: 1
> FreeType: couldn't open face /usr/share/X11/fonts/Type1/cour.pfa: 1
> FreeType: couldn't open face /usr/share/X11/fonts/Type1/cour.pfa: 1

When fontforge crashed on me, only these two files referenced "cour.pfa" in any way:

/usr/share/X11/fonts/Type1/fonts.dir
/usr/share/X11/fonts/Type1/fonts.scale

After I uninstalled and reinstalled xorg-x11-fonts-Type1, fontforge worked again and the two files didn't reference cour.pfa anymore. It seems to me that the mkfontdir, mkfontscale commands in the %post/%postun scripts fail to remove references to fonts that are removed from the fonts.dir, fonts.scale files. In that case, the problem is not in the fonts packages, but in these tools.
Comment 24 Bug Zapper 2009-06-09 21:31:09 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 25 Jens Petersen 2009-06-23 03:07:32 EDT
Is this still an issue with F10, F11 and later?
Comment 26 Nils Philippsen 2009-06-23 07:42:02 EDT
On my F-11 system, I inserted a fake font entry in fonts.dir, fonts.scale, re-ran the xorg-x11-fonts-Type1 %post script and it was removed.
Comment 27 Jens Petersen 2009-06-23 20:40:50 EDT
Thanks Nils - I am assuming that is ok then with newer fedora and closing out.

Note You need to log in before you can comment on or make changes to this bug.